# Generated by Django 3.1.3 on 2020-11-20 04:05

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Categoria',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('descripcion', models.CharField(max_length=50)),
                ('fecha_crea', models.DateTimeField(auto_now_add=True)),
                ('fecha_publ', models.DateTimeField(auto_now=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Contacto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=50)),
                ('apellido', models.CharField(max_length=50)),
                ('mail', models.EmailField(max_length=254)),
                ('tipo_mensaje', models.IntegerField(choices=[[0, 'Solicitud ingresar Perris'], [1, 'Solicitud adoptar Perris'], [2, 'Solicitud colaborar con Mis Perris']])),
                ('mensaje', models.TextField()),
                ('avisos', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='Mascota',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=50)),
                ('observacion', models.TextField()),
                ('fecha_crea', models.DateTimeField(auto_now_add=True)),
                ('fecha_publ', models.DateTimeField(auto_now=True, null=True)),
                ('imagen', models.ImageField(blank=True, null=True, upload_to='')),
                ('categoria', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.categoria')),
            ],
        ),
    ]
